Get all automation runs for a task
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "ear_abc123def456",
"status": "PENDING",
"trigger": "MANUAL",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": {}
}
]Task Automations
Get all automation runs for a task | Comp AI API
Get all automation runs for a task in Comp AI. Create, version, run, and inspect automated evidence collection workflows attached to compliance tasks.
GET
/
v1
/
tasks
/
{taskId}
/
automations
/
runs
Get all automation runs for a task
curl --request GET \
--url https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.trycomp.ai/v1/tasks/{taskId}/automations/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)[
{
"id": "ear_abc123def456",
"status": "PENDING",
"trigger": "MANUAL",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"error": {}
}
]Authorizations
API key for authentication
Path Parameters
Task ID
Example:
"tsk_abc123def456"
Response
200 - application/json
Automation runs retrieved successfully
Was this page helpful?

